### Method

# Gimp Drawable edit_fill

#### Declaration [src]

    gboolean
    gimp_drawable_edit_fill (
      GimpDrawable* drawable,
      GimpFillType fill_type
    )

#### Description [src]

Fill selected area of drawable.

This procedure fills the specified drawable according to fill mode. This procedure only affects regions within a selection if there is a selection active. If you want to fill the whole drawable, regardless of the selection, use gimp_drawable_fill().

This procedure is affected by the following context setters: gimp_context_set_opacity(), gimp_context_set_paint_mode(), gimp_context_set_foreground(), gimp_context_set_background(), gimp_context_set_pattern().

#### Parameters

`fill_type`

  Type: `GimpFillType`

  The type of fill.

#### Return value

Type: `gboolean`

TRUE on success.